/*
 Theme Name:   Bricks Child Theme
 Theme URI:    https://bricksbuilder.io/
 Description:  Use this child theme to extend Bricks.
 Author:       Bricks
 Author URI:   https://bricksbuilder.io/
 Template:     bricks
 Version:      1.1
 Text Domain:  bricks
*/
:root {
    --clr-light: #fff;
    --clr-light--matte: #eaeaea;
}

body {
    overflow-x: hidden;
}

table,
th,
td {
    border: 1px solid black;
}

th,
td {
    padding: 5px 10px;
}

.brxe-button.bricks-button {
    min-height: 45px;
}

/* .collapsible-content {
    max-height: 0;
    transition: max-height 1s ease-in-out;
    overflow: hidden;
} */

#finisher-canvas {
    z-index: 0 !important;
}

.accordion-content-wrapper a {
    text-decoration: underline;
}

/* Accordion Full width */
.accordion--full-width .accordion-title-wrapper {
    transition: all .3s ease-in-out;
    align-items: flex-end;
}

.accordion--full-width .listening.brx-open .accordion-title-wrapper {
    min-height: 100px !important;
}

.accordion--full-width__icon-expanded,
.accordion--full-width__icon-collapsed {
    transition: all .3s ease-in-out;
}

.accordion--full-width .listening:not(.brx-open) .accordion--full-width__icon-collapsed {
    opacity: 0;
}

.accordion--full-width .listening.brx-open .accordion--full-width__icon-collapsed {
    opacity: 1;
}

.accordion--full-width .listening.brx-open .accordion--full-width__icon-expanded {
    opacity: 0;
}

.accordion--full-width .listening:not(.brx-open) .accordion--full-width__icon-expanded {
    opacity: 1;
    transform: rotate(180deg);
}

.accordion--full-width .accordion--full-width__image-left,
.accordion--full-width .accordion--full-width__image-right {
    transition: transform .75s ease-in-out;
}

.accordion--full-width .accordion--full-width__image-left {
    transform: translateX(-50px);
}

.accordion--full-width .accordion--full-width__image-right {
    transform: translateX(50px);
}

.accordion--full-width .listening.brx-open :where(.accordion--full-width__image-left, .accordion--full-width__image-right) {
    transform: translateX(0);
}

/* Gravity form */
.gform_wrapper.gform-theme--foundation .gform_required_legend {
    display: none;
}

.gform_wrapper.gform-theme--foundation form .gform_page {
    position: relative;
}

.gform_wrapper.gform-theme--foundation form .gfield .gfield_label {
    font-size: 30px;
    line-height: 1.2;
    font-weight: 500;
    margin-bottom: 15px;
}

.gform_wrapper.gform-theme--foundation form .gfield .gfield_description {
    font-size: 15px;
}

.gform_wrapper.gform-theme--foundation form .gfield input:not([type=checkbox]),
.gform_wrapper.gform-theme--foundation form .gfield select {
    min-height: 45px;
    padding: 15px;
    background-color: var(--clr-light--matte);
    border: 1px solid var(--clr-light--matte);
    border-radius: 10px;
    font-size: 24px;
    font-weight: 400;
    line-height: 1.2;
}

.gform_wrapper.gform-theme--foundation form .gfield select {
    padding-block: 7px;
}

.gform_wrapper.gform-theme--foundation form .gfield :where(input, select, textarea) {
    outline: none !important;
}

.gform_wrapper.gform-theme--foundation form .gfield .ginput_container_consent {
    align-items: center;
}

.gform_wrapper.gform-theme--foundation form .gfield .gfield_consent_label {
    font-size: 20px;
    line-height: 1.2;
    color: var(--clr-light);
}

.gform_wrapper.gform-theme--foundation form .gfield input[type=checkbox] {
    width: 32px;
    height: 32px;
    border-radius: 10px;
    background: var(--clr-light--matte);
}

.gform_wrapper.gform-theme--foundation form .gfield input[type=checkbox]::before {
    font-size: 18px;
    color: #0078ff;
}

.gform_wrapper.gform-theme--foundation form .gform_page_footer,
.gform_wrapper.gform-theme--foundation form .gform_footer {
    width: max-content;
    position: relative;
}

.gform_wrapper.gform-theme--foundation form .gform_page_footer:has(input.gform_previous_button) {
    width: 100%;
}

.gform_wrapper.gform-theme--foundation form .gform_page_footer input[type=button].button,
.gform_wrapper.gform-theme--foundation form .gform_page_footer input[type=submit].gform_button.button,
.gform_wrapper.gform-theme--foundation form .gform_footer input[type=submit].gform_button.button {
    background-color: #ff00a4;
    color: var(--clr-light);
    line-height: 1.333;
    min-height: 45px;
    font-size: 22px;
    font-weight: 600;
    padding: 5px 45px;
    border-radius: 45px 90px 0 45px;
    min-width: 226px;
    outline: none !important;
}

.gform_wrapper.gform-theme--foundation form .gform-loader {
    position: absolute;
    right: 25px;
    border-block-end-color: var(--clr-light);
    border-inline-start-color: var(--clr-light);
}

.gform_wrapper.gform-theme--foundation form .gf_progressbar_wrapper {
    --bar-height: 16px;
    display: flex;
    flex-direction: row-reverse;
    flex-wrap: nowrap;
    justify-content: space-between;
}

.gform_wrapper.gform-theme--foundation form .gf_progressbar {
    height: var(--bar-height);
    background: var(--clr-light);
    width: calc(100% - 150px);
}

.gform_wrapper.gform-theme--foundation form .gf_progressbar_title {
    font-size: 19px;
    font-weight: 500;
    color: var(--clr-light);
}

.gform_wrapper.gform-theme--foundation form .gf_progressbar_percentage {
    height: var(--bar-height);
    position: relative;
}

.gform_wrapper.gform-theme--foundation form .gf_progressbar_percentage::after {
    content: '';
    width: calc(var(--bar-height) + 12px);
    height: calc(var(--bar-height) + 12px);
    background-color: #f80e95;
    border-radius: 50%;
    position: absolute;
    top: 50%;
    right: 0;
    transform: translate(50%, -50%);
    z-index: 2;
}

.gform_wrapper.gform-theme--foundation .gform_validation_errors {
    display: none;
}

.gform_wrapper.gform-theme--foundation form .gform_fields {
    row-gap: 15px;
}

.gform_wrapper.gform-theme--foundation form .gform_fields .form__help {
    position: absolute;
    right: 0;
    bottom: 0;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    font-size: 18px;
    font-weight: 500;
    color: var(--clr-light);
}

.gform_wrapper.gform-theme--foundation form .gf_range_slider.hide {
    display: none;
}

.gform_wrapper.gform-theme--foundation form .gfield .gf-range-slider-wrap .range-label,
.gform_wrapper.gform-theme--foundation form .gf-range-slider-wrap .noUi-horizontal .noUi-tooltip {
    display: none;
}

.gform_wrapper.gform-theme--foundation form .gfield .field-slider__ruler {
    display: flex;
    justify-content: space-between;
    margin-top: 10px;
}

.gform_wrapper.gform-theme--foundation form .gfield .field-slider__ruler span {
    font-size: 14px;
    font-weight: 600;
    color: var(--clr-light);
}

.gform_wrapper.gform-theme--foundation form .gf-range-slider-wrap .noUi-connect {
    background-color: var(--clr-light);
    border-radius: 8px;
    box-shadow: none;
}

.gform_wrapper.gform-theme--foundation form .gf-range-slider-wrap .noUi-handle {
    cursor: grab;
    border-radius: 50%;
    background-color: #f80e95;
    width: 28px;
    height: 28px;
    box-shadow: none;
    border: none;
}

.gform_wrapper.gform-theme--foundation form .gf-range-slider-wrap .noUi-handle::before,
.gform_wrapper.gform-theme--foundation form .gf-range-slider-wrap .noUi-handle::after {
    display: none;
}

/* Calculator form */
#calculator-wrapper {
    backdrop-filter: blur(5px);
}

#calculator-wrapper .gfield_label,
#calculator-wrapper .gfield_description,
#calculator-wrapper input,
#calculator-wrapper #gf_range_slider_container_1,
#calculator-wrapper .form-field__amount .ginput_container::before,
#calculator-wrapper .brxe-text,
#calculator-wrapper .brxe-button {
    transition: all 1s ease-in-out;
    opacity: 0;
}

#calculator-wrapper .gfield_label,
#calculator-wrapper .gfield_description,
#calculator-wrapper .brxe-text {
    transform: translateY(40px);
}

#calculator-wrapper .gform_fields .gfield:nth-child(2) :where(.gfield_label, .gfield_description),
#calculator-wrapper #gf_range_slider_container_1 {
    transition-delay: .25s;
}

#calculator-wrapper .gform_fields .gfield:nth-child(3) :where(.gfield_label, .gfield_description, input) {
    transition-delay: .5s;
}

#calculator-wrapper .gform_fields .gfield:nth-child(4) :where(.gfield_label, .gfield_description, input) {
    transition-delay: .75s;
}

#calculator-wrapper .gform_fields .gfield:nth-child(5) :where(.gfield_label, .gfield_description, input) {
    transition-delay: 1s;
}


#calculator-wrapper .gform_fields .gfield:nth-child(6) :where(.gfield_label, .gfield_description, input) {
    transition-delay: 1.25s;
}


#calculator-wrapper .gform_fields .gfield:nth-child(7) :where(.gfield_label, .gfield_description, input) {
    transition-delay: 1.5s;
}

#calculator-wrapper input[type=submit],
#calculator-wrapper .brxe-button {
    transition: all 1s ease-in-out 1.75s;
}

#calculator-wrapper .brxe-text {
    transition-delay: 1.75s;
}

#calculator-wrapper input,
#calculator-wrapper #gf_range_slider_container_1,
#calculator-wrapper .form-field__amount .ginput_container::before,
#calculator-wrapper .brxe-button {
    transform: translateX(-60px);
}

#calculator-wrapper.on-viewport .gfield_label,
#calculator-wrapper.on-viewport .gfield_description,
#calculator-wrapper.on-viewport input,
#calculator-wrapper.on-viewport #gf_range_slider_container_1,
#calculator-wrapper.on-viewport .form-field__amount .ginput_container::before,
#calculator-wrapper.on-viewport .brxe-text,
#calculator-wrapper.on-viewport .brxe-button {
    opacity: 1;
    transform: translate(0, 0);
}

#calculator-wrapper input[type=submit] {
    display: none !important;
    pointer-events: none;
}

#calculator-wrapper .gfield_label,
#calculator-wrapper .gfield_description,
#calculator-wrapper .range-label {
    color: #fff;
}

#calculator-wrapper .form-field__amount {
    flex-wrap: wrap;
}

#calculator-wrapper .form-field__amount .ginput_container {
    position: relative;
}

#calculator-wrapper .form-field__amount .ginput_container::before {
    content: '£';
    color: rgb(17, 35, 55);
    position: absolute;
    left: 15px;
    top: 9px;
    font-size: 24px;
    font-weight: 400;
    line-height: 1.2;
    z-index: 1;
}

#calculator-wrapper input {
    background: transparent;
    color: #fff;
    border-width: 2px;
}

#calculator-wrapper .form-field__amount input {
    padding-left: 35px;
}

/* #calculator-wrapper .form-field__amount .gfield_label {
    margin-bottom: 0;
} */

/* #calculator-wrapper .form-field__amount .gfield_description {
    margin-top: 0;
} */

#calculator-wrapper .form-field__amount .gfield_description.instruction {
    display: none;
}

#calculator-wrapper .form-field__amount input {
    background: #eaeaea;
    border: 2px solid #eaeaea;
    color: rgb(17, 35, 55);
}

#calculator-wrapper .gform_footer {
    margin-left: auto;
    margin-top: 14px;
}

#calculator-wrapper input[type=submit] {
    padding-inline: 15px;
}

#calculator-wrapper .gform_confirmation_message {
    font-size: 24px;
    color: #fff;
}

#calculator-wrapper #check-eligibility {
    line-height: 1.333;
    min-height: 45px;
    font-size: 22px;
    font-weight: 600;
    padding: 5px 45px;
    padding-inline: 15px;
    min-width: 226px;
}

@media (min-width: 768px) {
    .gform_wrapper.gform-theme--foundation form .gfield.gfield--type-slider {
        display: flex;
        column-gap: 20px;
        margin-block: 60px 20px;
    }

    .gform_wrapper.gform-theme--foundation form .gfield.gfield--type-slider .gfield_label,
    .gform_wrapper.gform-theme--foundation form .gfield.gfield--type-slider .ginput_container {
        flex: 0 0 calc(50% - 10px);
    }

	#calculator-wrapper .gfield.form-field__amount,
    #calculator-wrapper .gfield.gfield--type-number {
        display: flex;
        column-gap: 20px;
        flex-wrap: wrap;
    }

	#calculator-wrapper .gfield.form-field__amount .gfield_description,
    #calculator-wrapper .gfield.gfield--type-number .gfield_description {
        margin-top: -10px;
    }

	#calculator-wrapper .gfield.form-field__amount .gfield_label,
    #calculator-wrapper .gfield.gfield--type-number .gfield_label {
        flex: 0 0 calc(70% - 20px);
    }

	#calculator-wrapper .gfield.form-field__amount .ginput_container,
    #calculator-wrapper .gfield.gfield--type-number .ginput_container {
        flex: 0 0 30%;
    }
}

@media (max-width: 1365px) {
    .gform_wrapper.gform-theme--foundation form .gfield .gfield_label {
        font-size: 20px;
    }

    .gform_wrapper.gform-theme--foundation form .gfield input,
    .gform_wrapper.gform-theme--foundation form .gfield select {
        font-size: 18px;
    }
}

@media (max-width: 767px) {
    .gform_wrapper.gform-theme--foundation form .gf_progressbar_wrapper {
        --bar-height: 12px;
    }

    .gform_wrapper.gform-theme--foundation form .gfield .gfield_label {
        font-size: 18px;
    }

    .gform_wrapper.gform-theme--foundation form .gfield input,
    .gform_wrapper.gform-theme--foundation form .gfield select {
        font-size: 16px !important;
    }

    .gform_wrapper.gform-theme--foundation form .gfield select {
        padding-block: 12px;
    }

    .gform_wrapper.gform-theme--foundation form .gf_progressbar_title {
        font-size: 16px;
    }

    .gform_wrapper.gform-theme--foundation form .gf_progressbar {
        width: calc(100% - 100px);
    }

    #calculator-wrapper .form-field__amount input,
    #calculator-wrapper .form-field__amount .ginput_container::before {
        font-size: 18px !important;
    }

    #calculator-wrapper .form-field__amount .ginput_container::before {
        top: 12px;
    }

    #calculator-wrapper .form-field__amount input {
        padding-left: 30px;
    }

    #calculator-wrapper .gform_footer {
        margin-left: 0;
        margin-top: 25px;
        width: 100%;
    }

    #calculator-wrapper input[type=submit] {
        width: 100%;
    }

    #calculator-wrapper #check-eligibility {
        font-size: 20px;
    }
}

@media (max-width: 478px) {
    .gform_wrapper.gform-theme--foundation form .gf_progressbar_wrapper {
        flex-direction: column;
    }

    .gform_wrapper.gform-theme--foundation form .gf_progressbar {
        width: 100%;
    }

    #calculator-wrapper #check-eligibility {
        font-size: 18px;
    }
}

/* Popup */
.brx-popup-content {
    overflow-x: hidden;
    position: relative;
    display: flex;
    align-items: center;
    scrollbar-width: none;
}

.brx-popup-content::before {
    content: '';
    width: 15vw;
    height: auto;
    aspect-ratio: 1;
    position: absolute;
    top: 0;
    right: 0;
    background: linear-gradient(-145deg, #050033, #f418f4 100%);
    border-radius: 50%;
    transform: translate(0%, -30%);
    z-index: 0;
}

.brx-popup-content::after {
    content: '';
    width: 22vw;
    height: auto;
    aspect-ratio: 1;
    position: absolute;
    top: 50%;
    left: 0;
    background: linear-gradient(-145deg, #050033, #f418f4 100%);
    border-radius: 50%;
    transform: translate(0%, -70%);
    z-index: 0;
}

@media (max-width: 767px) {
    .brx-popup-content::before {
        width: 100px;
        height: 100px;
        transform: translate(0, 0);
    }

    .brx-popup-content::after {
        width: 300px;
        height: 300px;
        transform: translate(-50%, -70%);
    }

    .gform_wrapper.gform-theme--foundation form .gform_fields .form__help {
        position: static;
    }
}